%global momorel 2
%global md5sum_src0 9e9d93ae27d4eb548376525342aee91e
%global realname gtk-sharp
Summary: .NET language binding for the GTK+ toolkit
Name: gtk-sharp2
Version: 2.10.1
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.mono-project.com/
%NoSource 0 ftp://ftp.gnome.org/pub/gnome/sources/%{realname}/2.10/%{realname}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: fix_callback_code_generator.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.10.13
BuildPrereq: mono-devel >= 1.2.4
BuildPrereq: glib2-devel >= 2.12.12
BuildPrereq: pango-devel >= 1.16.4
BuildPrereq: libglade2-devel >= 2.6.1
BuildPrereq: monodoc >= 1.2.4
Requires: mono-core >= 1.2.4
Requires: gtk2 >= 2.10.13

Provides: %{realname}
Obsoletes: %{realname}

%description
Gtk# is a .NET language binding for the GTK+ toolkit and assorted GNOME
libraries.  Gtk# is free software, licensed under the GNU LGPL.  The target
is the 2.6 platform.

%package devel
Summary: .NET language binding for the GTK+ toolkit (devel)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: mono-devel
Requires: pango-devel
Requires: libglade2-devel

Provides: %{realname}-devel
Obsoletes: %{realname}-devel

%description devel
gtk-sharp devel

%prep
%setup -q -n %{realname}-%{version}

%patch0 -p1 -b .fix_callback_code_generator

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README README.generator
%{_bindir}/gapi2-*
%{_libdir}/lib*sharpglue-*.so

%{_prefix}/lib/gtk-sharp-2.0/*
%{_prefix}/lib/mono/gac/atk-sharp
%{_prefix}/lib/mono/gac/gdk-sharp
%{_prefix}/lib/mono/gac/glade-sharp
%{_prefix}/lib/mono/gac/glib-sharp
%{_prefix}/lib/mono/gac/gtk-dotnet
%{_prefix}/lib/mono/gac/gtk-sharp
%{_prefix}/lib/mono/gac/pango-sharp

%{_prefix}/lib/mono/gac/policy.2.?.atk-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.?.glade-sharp
%{_prefix}/lib/mono/gac/policy.2.?.glib-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.?.gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.?.pango-sharp

%{_prefix}/lib/monodoc/sources/*
%{_prefix}/lib/mono/gtk-sharp-2.0
%{_datadir}/gapi-2.0/*.xml

%files devel
%defattr(-,root,root)
%{_libdir}/lib*sharpglue-*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Jul  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10.1-2m)
- import patch from Debian to fix gmime build problem

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.0-4m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-3m)
- rename gtk-sharp -> gtk-sharp2

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-2m)
- delete patch0 (gtk+ version up)

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-1m)
- update to 2.10.0
-- split devel package

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.3-2m)
- rebuild against gnome
- delete libtool library

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.3-1m)
- update to 2.8.3

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.2-3m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.2-2m)
- rebuild mono -> mono-core

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.2-1m)
- update to 2.8.2

* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.8.0-3m)
- add patch3 because of hard-coding path in some sources.

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.8.0-2m)
- add and revised patches for x86_64:
-         monodoc-2.8.0-config.patch
-         monodoc-2.8.0-pc.patch
-         monodoc-2.8.0-lib64.patch
- change from "%make" to "make". because of building fail on SMP env.

* Sun Jan 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.0-1m)
- start.
